body {
    font-family: 'Open Sans', sans-serif, Arial;
    font-size: 14px;
}

body * {
    box-sizing: border-box;
    margin: 0;
}

input {
    outline: none;
}

a {
    text-decoration: none;
}

button {
    outline: none;
}

.App {
    display: flex;
    flex-direction: column;
}

.logo-img {
    background: url("./app/img/logo-img.png") no-repeat center;
    width: 185px;
    height: 130px;
    background-size: cover;
    margin-top: 123px;
}

.header {
    height: auto;
    position: relative;
    padding: 0 30px;
    display: flex;
    justify-content: space-between;
}

.Navigator {
    display: flex;
    align-items: center;
    /*height: auto;*/
    width: 100%;
    height: 60px;
}

.header nav select {
    color: #7986cb;
    font-size: 1em;
    margin: 0 50px;
    border: none;
    font-weight: bold;
}

.mainlinks a {
    margin: 0 20px;
}

.header a {
    text-decoration: none;
    color: #333333;
    font-weight: bold;
}

.cart {
    position: absolute;
    right: 2vw;
}

.profile-link {
    position: absolute;
    right: 4vw;
}

.sign-in {
    position: absolute;
    right: 4vw;
    cursor: pointer;

}

.sign-up {
    border: none;
    background-color: #ffffff;
    position: absolute;
    right: 6vw;
    cursor: pointer;
}

.admin-link {
    position: absolute;
    right: 10vw;
}

.search-bar {
    height: 114px;
    display: flex;
    align-items: center;
    background-color: #cfd8dc;
    justify-content: center;
}

.search-bar form {
    display: flex;
    align-items: center;
}

.search-close {
   cursor: pointer;
    position: absolute;
    right: 0;
    top: 0;
}

.search-input {
    width: 500px;
    padding: 8px;
    border: none;
    border-radius: 5px;
}

.search-link {
    padding: 7px 28px;
    font-size: 15px;
    color: white;
    border-radius: 5px;
    background: #008ed4;
}

.search-bar button {
    outline: none;
    color: #f1a48e;
    padding: 0 20px;
    margin: 0 20px;
    background: white;
    border-radius: 5px;
    width: 500px;
}

.categories-and-goods-wrapper {
    display: flex;
    flex-direction: row;
}

.goods-list {
    background-color: #f15054;
    height: 45px;
    border: none;
    font-size: 1.4em;
    width: 30vw;
    text-align: left;
}

.goods-list:hover {
    cursor: pointer;
}

.search-form:hover {
    cursor: pointer;
}

.search-form {
    height: 35px;
    min-width: 300px;
    text-align: left;
    background-color: transparent;
    border: none;
    font-size: 1.2em;
    font-weight: 100;
    position: absolute;
}

.search-container {
    height: 35px;
    width: 100%;
    background-color: #f15054;
}

.fa, .fas {
    font-weight: 900;
    padding: 0 10px;
}

.menu-container {
    background-color: #7986cb;
    padding: 20px 20px;
    width: 15vw;
    display: flex;
    flex-direction: column;
}

.menu-container :hover {
    border-bottom: solid white 1px;
    transform: scale(1.1, 1.2);
}

.switch-container {
    width: 80%;
    display: flex;
    justify-content: center;
    padding: 40px 40px 60px 40px;
}

.menu-container a {
    margin-bottom: 15px;
    min-height: 20px;
    width: 80%;
    text-decoration: none;
    color: white;
}

.good-card {
    width: 68vw;
    padding: 15px;
    display: flex;
    flex-direction: column;
}

.good-card button {
    width: 150px;
    font-size: 20px;
    border-radius: 10px;
    background-color: #9e9e9e;
    color: white;
    border: none;
    padding: 10px;
    transition: .3s;
}

.good-card button:hover {
    background: #f15054;
    cursor: pointer;
}

.good-card img {
    width: 200px;
    /*height: 150px;*/
}

.good-card h3 {
    padding-bottom: 30px;
}

.good-card div {
    display: flex;
    /*flex-direction: column;*/
    padding-bottom: 15px;
}

.good-card div p {
    width: 300px;
    padding: 10px;
    margin: 0 30px;
}

.price-block {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.good-card span {
    font-size: 20px;
    padding-bottom: 10px;
}

.order-list {
    position: relative;
    display: flex;
    flex-direction: column;
}

.cart-goods {
    margin-bottom: 5px;
    padding: 10px 5px;
    background-color: #adadad;
    border-radius: 5px;
}

.cart-goods span {
    margin-right: 5px;
}

.cart-goods input {
    width: 40px;
}

.send-order-button {
    width: 100px;
    border-radius: 10px;
    background-color: #f4df58;
}

.good-list-container {

    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    padding: 0 15px;
}

.good-list-container :hover {
    transition: 0.5s;
    transform: scale(1.05, 1.05)
}

.goods-list-item {
    width: 170px;
    padding: 15px 0;
    margin-right: 10px;
}

.goods-list-item img {
    width: 170px;
}

.goods-list-item h4 {
    margin-top: 10px;
    color: #333333;
    text-align: center;
}

.goods-list-item span {
    margin: 5px;
    display: flex;
    justify-content: center;
}

.order-history-item {
    display: flex;
    flex-direction: column;
    padding: 10px 20px;
    background-color: #aba7a5;
    margin: 5px;
}

.order-history-container a {
    text-decoration: none;
    color: #000000;
}

.order-history-container {
    padding: 10px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;;
}

.main-admin {
    display: flex;
    flex-direction: column;
    width: 200px;
    height: 200px;
    background-color: #fcf18f;
    border-radius: 5px;
    justify-content: center;
    align-items: center;
}

.main-admin a {
    font-size: 18px;
    padding-bottom: 5px
}

.profile-page {
    display: flex;
    flex-direction: column;
    width: 200px;
    height: 200px;
    background-color: #fcf18f;
    border-radius: 5px;
    justify-content: center;
    padding-left: 10px;
    align-items: flex-start;
}

.profile-page a {
    font-size: 16px;
    padding-bottom: 10px
}

.profile-page p {
    padding-bottom: 10px
}

.about-block img {
    width: 100%;
    padding: 20px;
}

.about-block h3 {
    margin-top: 25px;
    text-align: center;
}

.about-block p {
    font-size: 15px;
    padding: 15px 0;
}

.contact-block {
    display: flex;
    justify-content: space-around;
}

.blog-info {
    margin: 25px 0;
}

.blog-info img {
    width: 30%;
}

.blog-info p {
    width: 90%;
}

.login-block {
    display: flex;
    flex-direction: column;
    width: 250px;
    height: 200px;
    align-items: center;
    padding: 15px;
    justify-content: center;
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 0 10px 5px rgba(221, 221, 221, 1);
    margin-top: 20px;
}

.login-block input {
    border: 1px solid #adadad;
    border-radius: 5px;
}

.login-block * {
    margin-bottom: 5px;
    padding: 5px;
}

.login-block button {
    margin-right: 10px;
    width: 90px;
    color: white;
    background: cadetblue;
    border-radius: 5px;
    border: none;
    cursor: pointer;
}

.order-history-item-container {
    display: flex;
    flex-direction: column;
    margin-top: 30px;
    padding: 10px 20px;
    background-color: #aba7a5;
    height: max-content;
    font-size: 14px;
}

.order-history-item-container div {
    padding: 10px 0;
}

.order-history-item-container :first-child {
    padding-bottom: 5px;
}
